# [Gradient Able](https://app-generator.dev/product/gradient-able/) Django Integration

Modern template for **Django** built with **[Gradient Able](https://app-generator.dev/product/gradient-able/)**, an open-source `Bootstrap` UI Kit released by [CodedThemes](https://app-generator.dev/agency/codedthemes/).

- [Django Admin Gradient Able](https://app-generator.dev/docs/products/django-libs/theme-gradient-able.html) - Documentation & Support Links
- [Django Gradient Able Dashboard](https://app-generator.dev/product/gradient-able/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- [Gradient Able](https://app-generator.dev/docs/templates/bootstrap/gradient-able.html) Design Integration
  - Dashboard page
  - Color, Typography, Icons 
  - Authentication: Login, Register
  
<br />

## [Gradient Able](https://app-generator.dev/product/gradient-able/) Starters

Pre-built starters for coding dashboards and services (APIs, DataTables) with speed.

### [Django Gradient Able](https://app-generator.dev/product/gradient-able/django/)

> The FREE Version (MIT License) - [Live Demo](https://django-gradient-able.appseed-srv1.com).

- Simple, Easy-to-Extend Codebase
- [Gradient Able](https://app-generator.dev/product/gradient-able/) Integration 
- Bootstrap Styling 
- Dynamic Tables
- Dynamic API
- Charts
- **CLI for Coding Tasks**
  - `Commit/rollback Git Changes`
  - `Backup & restore DB`
  - `Interact with Django Core` via CLI
  - `Update Environment variables`
  - `Update Dependencies`
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render
- [Vite](https://app-generator.dev/docs/technologies/vite/index.html) for assets management

![Django Gradient Able - Modern template for Django Admin Section crafted on top of a modern Bootstrap Design.](https://user-images.githubusercontent.com/51070104/171583187-c4ca1bef-b535-458e-9250-8d62ba1f5b30.png)

<br />

## [Django Gradient Able PRO](https://app-generator.dev/product/gradient-able-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-gradient-pro.onrender.com/).

- Simple, Easy-to-Extend Codebase
- [Gradient Able](https://app-generator.dev/product/gradient-able/) PRO Design Integration 
- Bootstrap Styling 
- Dynamic Tables - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-datatables.html)
- Dynamic API - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-api.html)
- Charts
- Session-based Authentication, Password recovery
- OAuth (GitHub & Google)
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- [Django CLI Package](https://app-generator.dev/docs/developer-tools/django-cli/index.html)
    - [Commit/rollback Git Changes](https://app-generator.dev/docs/developer-tools/django-cli/git-interface.html)
    - `Backup & restore DB`
    - [Interact with Django Core](https://app-generator.dev/docs/developer-tools/django-cli/query-django.html)
    - `Manage Environment`
    - `Manage Dependencies`
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render
- [Vite](https://app-generator.dev/docs/technologies/vite/index.html) for assets management

![Gradient PRO - Full-Stack Starter generated by AppSeed](https://user-images.githubusercontent.com/51070104/216759901-7b3a6c50-b224-4ae2-922c-3cb4648a5802.png)

<br />

## `Customize` with [Django App Generator](https://app-generator.dev/tools/django-generator/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

![Django Generator - User Interface for choosing the Design](https://github.com/user-attachments/assets/b989c434-1c53-49ff-8dda-b46dbfc142ac) 

![Django App Generator - User Interface for Edit the Extended User Model](https://github.com/user-attachments/assets/f1a5fb68-a5ba-49c9-a3ae-91716de09912) 

<br />

---
**[Gradient Able](https://app-generator.dev/product/gradient-able/)** Django Integration - Library provided by **[App-Generator](https://app-generator.dev)**
